# -*- coding: utf-8 -*-
"""
Created on Wed Oct 6th 2020

@author: rdvan, shikha

The parameters and initial conditions for UT Austin are defined in this file.
They have to be given to the function defining the ode system

"""

import numpy as np

# Scipy solve ode systems
# Define integration spacce
t0 = 0                          # hours
tend = 2                      # hours
tspan = np.linspace(t0,tend,num=tend)

## Initial conditions and parameters for austin collaboration

# Parameters 
mu = 0.0558                     # bacterial growthrate in water 1/h [1.34 bacteria/day]
C = 2e6                         # carrying capacity 1/ml 
ep = 6.24e-8                   # bacterial contact rate constant ml/h [6.7e-8 ml/day]
Lambda = 3.57                   # bacterial lysis death rate 1/h This will be replaced
gamma = 0.0833                  # phage deathrate 1/h  [2 phage/day] 
beta = 179                      # virus replication factor aka burst size This will be replaced

# Initial conditions
X_i0 = 0                        # Total infected bacteria number/ml
X_l0 = 0                        # Total lysed bacteria number/ml

# Data from austin
austin_data = ["gfp-h-gp10",	4.47761194,	27],["gfp-h-h-gp10"	, 5.853658537,	12.7],["h-gfp-gp10", 4.660194175,	25.5]
sus_range = [0.01, 0.1, 0.88, 1.26, 10]
sus_name = ["1 CFU/100ml","10 CFU/100ml","88 CFU/100ml","126 CFU/100ml","1000 CFU/100ml"]
MOI = [1, 10,100]
sus = ["1","10","88","126","1000"]


#Suggested changes (shown only for gfp-h-h-gp10 )
sus_range2 = [10, 1e2, 1e3, 1e4,1e5] #This is to show how increasing the initial value can improve results even with small MOI
sus_name2 = ["1e3 CFU/100ml","1e4 CFU/100ml","1e5 CFU/100ml","1e6 CFU/100ml","1e7 CFU/100ml"]
MOI2 = [1,0.1,0.01]
sus2 = ["10","100","1000","10,000","100,000"]


param = [mu, C, ep, Lambda, gamma, beta] # input for solver
